| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Num.IScalarFunction Interface Reference

Scalar functions of vector arguments, with eventual affine transformation of parameters. If transformation is defined then actual function is evaluated as reference function evaluated at inverse affine transformed parameters. More...

Inheritance diagram for IG.Num.IScalarFunction:
[legend]
Collaboration diagram for IG.Num.IScalarFunction:
[legend]

## Public Member Functions
double | ReferenceValue (IVector parameters)
| Returns the value of this function at the specified parameter in the reference coordinate system. More...
void | ReferenceGradientPlain (IVector parameters, IVector gradient)
| Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system. More...
void | ReferenceHessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system. More...
Public Member Functions inherited from IG.Num.IScalarFunctionUntransformed
void | Evaluate (IScalarFunctionResults data)
| Evaluates whatever needs to be evaluated and stores the results on the specified storage object. More...
double | Value (IVector x)
| Returns the value of this function at the specified parameter. More...
void | GradientPlain (IVector parameters, IVector gradient)
| Calculates first order derivatives (gradient) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments. More...
void | Gradient (IVector parameters, ref IVector gradient)
| Calculates first order derivatives (gradient) of this function at the specified parameters. More...
void | HessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian matrix) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments. More...
void | Hessian (IVector parameters, ref IMatrix hessian)
| Calculates the second derivative (Hessian matrix) of this function at the specified parameters. More...

## Properties
IAffineTransformation | Transformation`[get, set]`
| Affine transformation of parameters. Actual function is evaluated as reference function evaluated at inverse affine transformed parameters. More...
Properties inherited from IG.Num.IScalarFunctionUntransformed
string | Name`[get]`
| Returns a short name of the function. More...
string | Description`[get]`
| Returns a short description of the function. More...
bool | ValueDefined`[get]`
| Tells whether value of the function is defined by implementation. More...
bool | GradientDefined`[get]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically) More...
bool | HessianDefined`[get]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically) More...

## Detailed Description

Scalar functions of vector arguments, with eventual affine transformation of parameters. If transformation is defined then actual function is evaluated as reference function evaluated at inverse affine transformed parameters.

$A Igor xx May10 Dec10;

## Member Function Documentation

double IG.Num.IScalarFunction.ReferenceValue | ( | IVector | parameters | ) |

Returns the value of this function at the specified parameter in the reference coordinate system.

Parameters

  parameters | Vector of parameters (in the REFERENCE system) where function is evaluated.

Implemented in IG.Num.ScalarFunctionExamples.Quadratic3d, IG.Num.ScalarFunctionExamples.Quadratic2d, IG.Num.ScalarFunctionExamples.ParaboloidSymmetric2D, IG.Num.ScalarFunctionExamples.RosenbrockGeneralizedExhaustive, IG.Num.ScalarFunctionExamples.RosenbrockGeneralizedAdjacent, IG.Num.ScalarFunctionExamples.Rosenbrock, IG.Num.ScalarFunctionTransformed, IG.Lib.LoadableScalarFunctionBase, IG.Num.ScalarFunctionRadial, IG.Script.ScritpScalarFunctionExample.Container.Function, and IG.Num.ScalarFunctionBase.

void IG.Num.IScalarFunction.ReferenceGradientPlain | ( | IVector | parameters,
|  | IVector | gradient
| ) |  |

Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system.

Parameters

  parameters | Vector of parameters (in the REFERENCE system) where derivatives are evaluated.
  gradient | Vector where first derivatives (gradient) are stored.

Implemented in IG.Num.ScalarFunctionExamples.Quadratic3d, IG.Num.ScalarFunctionExamples.Quadratic2d, IG.Num.ScalarFunctionExamples.ParaboloidSymmetric2D, IG.Num.ScalarFunctionExamples.RosenbrockGeneralizedExhaustive, IG.Num.ScalarFunctionExamples.RosenbrockGeneralizedAdjacent, IG.Num.ScalarFunctionExamples.Rosenbrock, IG.Num.ScalarFunctionTransformed, IG.Num.ScalarFunctionRadial, IG.Lib.LoadableScalarFunctionBase, IG.Script.ScritpScalarFunctionExample.Container.Function, and IG.Num.ScalarFunctionBase.

void IG.Num.IScalarFunction.ReferenceHessianPlain | ( | IVector | parameters,
|  | IMatrix | hessian
| ) |  |

Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system.

Parameters

  parameters | Vector of parameters (in the REFERENCE system) where Hessian is evaluated.
  hessian | Matrix where second derivatives (Hessian) are stored.

Implemented in IG.Num.ScalarFunctionExamples.Quadratic3d, IG.Num.ScalarFunctionExamples.Quadratic2d, IG.Num.ScalarFunctionExamples.ParaboloidSymmetric2D, IG.Num.ScalarFunctionExamples.RosenbrockGeneralizedExhaustive, IG.Num.ScalarFunctionExamples.RosenbrockGeneralizedAdjacent, IG.Num.ScalarFunctionExamples.Rosenbrock, IG.Num.ScalarFunctionTransformed, IG.Num.ScalarFunctionRadial, IG.Lib.LoadableScalarFunctionBase, IG.Script.ScritpScalarFunctionExample.Container.Function, and IG.Num.ScalarFunctionBase.

## Property Documentation

IAffineTransformation IG.Num.IScalarFunction.Transformation
| get set

Affine transformation of parameters. Actual function is evaluated as reference function evaluated at inverse affine transformed parameters.

The documentation for this interface was generated from the following file:

- igbase/numeric/FunctionScalarInt.cs